#language: ru

@SalesOfProducts

Функционал: 018. SalesOfProducts. Создание причин возврата

Сценарий: 018.1. SalesOfProducts. Создание причин возврата

	Дано Я подключаюсь под "Возврат товаров"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.018. Реализация товаров"
	И Я создаю причину возврата "Товар испортился" с комментарием "Качество товара не соответствует требованиям" для продаж
	И Я создаю причину возврата "Товар не подходит" с комментарием "Товар не подошел заказчику" для продаж
	И Я создаю причину возврата "Товар отличается от заказанного" с комментарием "Перепутали" для продаж

Сценарий: 018.2. SalesOfProducts. Создание заявки на возврат товаров 

	Дано я удаляю объекты "Документы.к2ЗаявкаНаВозвратТоваровОтКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент'         | 'Комментарий'                        | 'Точка доставки'                      |
		| 'Обычный покупатель' | 'Корректировка реализации вручную'   | 'Обычная точка доставки. Без региона' |
	И я нажимаю на кнопку 'Заявка на возврат товаров от клиента'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '17.10.2019  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'Согласована'
	Тогда элемент формы "Организация" стал равен "Организация"
	Тогда элемент формы "Холдинг" стал равен ""
	Тогда элемент формы "Контрагент" стал равен "Обычный покупатель"
	Тогда элемент формы "Соглашение" стал равен "Соглашение для Обычного покупателя"
	Тогда элемент формы "Регион" стал равен ""
	Тогда элемент формы "Точка доставки" стал равен "Обычная точка доставки. Без региона"
	Тогда элемент формы "Вид цен" стал равен "Зависимый 1"
	Тогда флаг "Цена включает НДС" равен "Да"
	Тогда элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'   | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Вес, кг' |
		| '8,000'      | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'                | '<Без маркировки>' | '680,00'     | '000001 до 01.11.2019 0:00:00' | '8,000, кг'      | '85,00'     | '113,33'    | '680,00'     | 'Сырная ГП' | '8'       |
		| '5,000'      | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'                | 'Ашан'             | '425,00'     | '000002 до 02.11.2019 0:00:00' | '5,000, кг'      | '85,00'     | '70,83'     | '425,00'     | 'Сырная ГП' | '5'       |
		| '3,000'      | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'                | '<Без маркировки>' | '135,00'     | '000001 до 03.11.2019 0:00:00' | '3,000, кг'      | '45,00'     | '20,59'     | '135,00'     | 'Сырная ГП' | '3'       |
		| '5,000'      | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'                | '<Без маркировки>' | '225,00'     | '000002 до 04.11.2019 0:00:00' | '5,000, кг'      | '45,00'     | '34,32'     | '225,00'     | 'Сырная ГП' | '5'       |
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Холдинг"
	Тогда открылось окно 'Холдинги'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Холдинг-компания' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И я нажимаю кнопку очистить у поля "Холдинг"
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Обычный покупатель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И я нажимаю кнопку выбора у поля "Соглашение"
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'Соглашение для Обычного покупателя' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И я нажимаю кнопку выбора у поля "Точка доставки"
	Тогда открылось окно 'Точки доставки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Обычная точка доставки. Без региона' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '20%'   | '85,00'                | 'Ашан'           | '850,00'     | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     | '85,00'     | '141,67'    | '850,00'     | 'Сырная ГП' | '10'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "% НДС" я выбираю по строке '10'
	И в таблице "Товары" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | '102,5'   |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | '102,5'   |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'           |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (5 кг) (Ашан)' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'        |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | '102,5'   |
		| '20,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '5 053,50'   | '000001 до 27.10.2020 0:00:00' | '22,460, кг'     | '225,00'    | '459,41'    | '5 053,50'   | 'Сырная ГП'  | '44,92'   |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '5 125,00'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | '102,5'   |
		| '5,000'      | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '1 263,38'   | '000001 до 27.10.2020 0:00:00' | '5,615, кг'      | '225,00'    | '114,85'    | '1 263,38'   | 'Сырная ГП'  | '11,23'   |
		| '15,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '3 790,13'   | '000001 до 27.10.2020 0:00:00' | '16,845, кг'     | '225,00'    | '344,56'    | '3 790,13'   | 'Сырная ГП'  | '33,69'   |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "2,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 01.11.2019 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "<Без маркировки>" в количестве "1,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 03.11.2019 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'   | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Вес, кг' |
		| '2,000'      | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'                | '<Без маркировки>' | '170,00'     | '000001 до 01.11.2019 0:00:00' | '2,000, кг'      | '85,00'     | '28,33'     | '170,00'     | 'Сырная ГП' | '2'       |
		| '1,000'      | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'                | '<Без маркировки>' | '45,00'      | '000001 до 03.11.2019 0:00:00' | '1,000, кг'      | '45,00'     | '6,86'      | '45,00'      | 'Сырная ГП' | '1'       |
	И элемент формы "НДС" стал равен "35,20"
	И элемент формы "Итого, RUB" стал равен "215,00"
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	И в поле 'Комментарий' я ввожу текст 'Заявка на возврат товаров'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заявка на возврат товаров от клиента * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на возврат товаров от клиента * от *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 018.3. SalesOfProducts. Создание возврата товаров

	Дано я удаляю объекты "Документы.к2ВозвратТоваровОтКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заявки на возврат товаров от клиентов'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               | 'Контрагент'         | 'Организация' | 'Соглашение'                         | 'Статус'      | 'Сумма'       | 'Точка доставки'                      |
		| 'Заявка на возврат товаров' | 'Обычный покупатель' | 'Организация' | 'Соглашение для Обычного покупателя' | 'Согласована' | '215,00, RUB' | 'Обычная точка доставки. Без региона' |
	И я нажимаю на кнопку 'Возврат товаров от клиента'
	Тогда открылось окно 'Возврат товаров от клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '17.10.2019  0:00:00'
	И элемент формы "Организация" стал равен "Организация"
	И элемент формы "Холдинг" стал равен ""
	И элемент формы "Контрагент" стал равен "Обычный покупатель"
	И элемент формы "Соглашение" стал равен "Соглашение для Обычного покупателя"
	И элемент формы "Регион" стал равен ""
	И элемент формы "Точка доставки" стал равен "Обычная точка доставки. Без региона"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И флаг "Цена включает НДС" равен "Да"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                          |
		| 'Подразделения формирования документов' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Подразделение приемки заказов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И элемент формы с именем "Подразделение" стал равен 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Холдинг"
	Тогда открылось окно 'Холдинги'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Холдинг-компания' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И элемент формы с именем "Холдинг" стал равен 'Холдинг-компания'
	И я нажимаю кнопку очистить у поля "Холдинг"
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Обычный покупатель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И элемент формы с именем "Контрагент" стал равен 'Обычный покупатель'
	И я нажимаю кнопку выбора у поля "Соглашение"
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                       |
		| 'Соглашение для Обычного покупателя' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Обычного покупателя'
	И я нажимаю кнопку выбора у поля "Точка доставки"
	Тогда открылось окно 'Точки доставки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Обычная точка доставки. Без региона' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Обычная точка доставки. Без региона'
	И в поле 'Комментарий' я ввожу текст 'Возврат товаров'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар испортился'
	И в таблице "Товары" я устанавливаю флаг 'Без возврата'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Костромской' |
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар не подходит'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Причина'           | 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB'  | 'Всего, RUB' | 'Склад'     | 'Без возврата' | 'Вес, кг' |
		| 'Товар испортился'  | '2,000'      | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'                | '<Без маркировки>' | '000001 до 01.11.2019 0:00:00' | '170,00'     | '2,000, кг'      | '85,00'     | '28,33'     | '170,00'     | 'Сырная ГП' | 'Да'           | '2'       |
		| 'Товар не подходит' | '1,000'      | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'                | '<Без маркировки>' | '000001 до 03.11.2019 0:00:00' | '45,00'      | '1,000, кг'      | '45,00'     | '6,86'      | '45,00'      | 'Сырная ГП' | 'Нет'          | '1'       |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	Тогда таблица "Товары" стала равной:
		| 'Причина'| 'Количество' | 'Номенклатура'   | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Без возврата' | 'Вес, кг' |
		| ''       | '10,000'     | 'Сыр Адыгейский' | 'кг'  | '20%'   | '85,00'                | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '850,00'     | '10,000, кг'     | '85,00'     | '141,67'    | '850,00'     | 'Сырная ГП' | 'Нет'          | '10'      |
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (5 кг) (Ашан)'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "% НДС" я выбираю по строке '10'
	И в таблице "Товары" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Причина'| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Без возврата' | 'Вес, кг' |
		| ''       | '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '5 125,00'   | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | 'Нет'          | '102,5'   |
	И в таблице "Товары" я активизирую поле "Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку 'Копировать строки'
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Вставить строки'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Причина'| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Без возврата' | 'Вес, кг' |
		| ''       | '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '5 125,00'   | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | 'Нет'          | '102,5'   |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И я нажимаю на кнопку 'Иерархия'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "ПодобраннаяНоменклатура" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Упаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	Тогда таблица "ПодобраннаяНоменклатура" стала равной:
		| 'Номенклатура'    | 'Характеристика' | 'Упаковка'           |
		| 'Сыр Адыгейский'  | 'Ашан'           | 'упак (5 кг) (Ашан)' |
		| 'Сыр Пошехонский' | 'Перекресток'    | 'упак (1 кг)'        |
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Причина'| 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Без возврата' | 'Вес, кг' |
		| ''       | '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '5 125,00'   | '51,250, кг'     | '100,00'    | '465,91'    | '5 125,00'   | 'Куриная ГП' | 'Нет'          | '102,5'   |
		| ''       | '20,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '5 053,50'   | '22,460, кг'     | '225,00'    | '459,41'    | '5 053,50'   | 'Сырная ГП'  | 'Нет'          | '44,92'   |
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'Сыр Пошехонский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '15,000'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "Товары" стала равной:
		| 'Причина' | 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Без возврата' | 'Вес, кг' |
		| ''        | '10,000'     | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '10%'   | '100,00'               | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '5 125,00'   | '51,250, кг'     | '100,00'    | '465,91'   | '5 125,00'   | 'Куриная ГП' | 'Нет'          | '102,5'   |
		| ''        | '5,000'      | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '1 263,38'   | '5,615, кг'      | '225,00'    | '114,85'   | '1 263,38'   | 'Сырная ГП'  | 'Нет'          | '11,23'   |
		| ''        | '15,000'     | 'Сыр Пошехонский' | 'упак (1 кг)'        | '10%'   | '225,00'               | 'Перекресток'    | '000001 до 27.10.2020 0:00:00' | '3 790,13'   | '16,845, кг'     | '225,00'    | '344,56'   | '3 790,13'   | 'Сырная ГП'  | 'Нет'          | '33,69'   |
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "2,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 01.11.2019 0:00:00'
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар испортился'
	И в таблице "Товары" я устанавливаю флаг 'Без возврата'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "<Без маркировки>" в количестве "1,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 03.11.2019 0:00:00'
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар не подходит'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Причина'           | 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'     | 'Без возврата' | 'Вес, кг' |
		| 'Товар испортился'  | '2,000'      | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'                | '<Без маркировки>' | '000001 до 01.11.2019 0:00:00' | '170,00'     | '2,000, кг'      | '85,00'     | '28,33'     | '170,00'     | 'Сырная ГП' | 'Да'           | '2'       |
		| 'Товар не подходит' | '1,000'      | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'                | '<Без маркировки>' | '000001 до 03.11.2019 0:00:00' | '45,00'      | '1,000, кг'      | '45,00'     | '6,86'      | '45,00'      | 'Сырная ГП' | 'Нет'          | '1'       |
	И я нажимаю кнопку выбора у поля "Ответственный"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'    |
		| 'Администратор' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Возврат товаров от клиента * от *'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Возврат товаров от клиента * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Возврат товаров от клиента * от *' в течение 20 секунд
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И я закрываю окно 'Заявки на возврат товаров от клиентов'

Сценарий: 018.4. SalesOfProducts. Проверка даты запрета в заявке на возврат товаров (по разделу)
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заявки на возврат товаров от клиентов'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '13.12.2018  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'Обрабатывается'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на возврат товаров от клиента * от *' в течение 20 секунд
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '11.12.2018  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'Обрабатывается'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание) *'
	И Я закрываю окно 'Заявка на возврат товаров от клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И Я закрываю окно 'Заявки на возврат товаров от клиентов'

Сценарий: 018.5. SalesOfProducts. Проверка даты запрета в возврате товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Возвраты товаров от клиентов'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Возврат товаров от клиента (создание)'
	И в поле с именем 'Дата' я ввожу текст '11.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	Тогда в таблице "Товары" количество строк "равно" 0
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар испортился'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И Я закрываю окно 'Возврат товаров от клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И Я закрываю окно 'Возвраты товаров от клиентов'

Сценарий: 018.6. SalesOfProducts. Проверка отборов для формы списка заявок на возврат товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Заявки на возврат товаров от клиентов'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '18.10.2019'
	И в поле 'DateEnd' я ввожу текст '18.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '17.10.2019'
	И в поле 'DateEnd' я ввожу текст '17.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Статус" я выбираю точное значение 'Обрабатывается'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Статус" я выбираю точное значение 'Согласована'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Подразделение" я выбираю по строке 'Обособленное подразделение'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Пошехонский'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И из выпадающего списка "Ответственный" я выбираю по строке 'Основной менеджер'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Статус'      | 'Ответственный' | 'Комментарий'               |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Согласована' | 'Администратор' | 'Заявка на возврат товаров' |
	И я нажимаю кнопку очистить у поля "Ответственный"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Контрагент"
	И я нажимаю кнопку очистить у поля "Подразделение"
	И я нажимаю кнопку очистить у поля "Организация"
	И я нажимаю кнопку очистить у поля "Статус"
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И Я закрываю окно 'Заявки на возврат товаров от клиентов'

Сценарий: 018.7. SalesOfProducts. Проверка отборов для формы списка возврат товаров

	И В командном интерфейсе я выбираю 'Заказы' 'Возвраты товаров от клиентов'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '18.10.2019'
	И в поле 'DateEnd' я ввожу текст '18.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	Тогда в таблице "Список" количество строк "равно" 0
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '17.10.2019'
	И в поле 'DateEnd' я ввожу текст '17.10.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И из выпадающего списка "Подразделение" я выбираю по строке 'Обособленное подразделение'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Пошехонский'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И из выпадающего списка "Ответственный" я выбираю по строке 'Основной менеджер'
	Тогда в таблице "Список" количество строк "равно" 0
	И из выпадающего списка "Ответственный" я выбираю по строке 'Администратор'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Соглашение'                         | 'Сумма'       | 'Точка доставки'                      | 'Контрагент'         | 'Организация' | 'Ответственный' | 'Комментарий'     |
		| '17.10.2019' | 'Соглашение для Обычного покупателя' | '215,00, RUB' | 'Обычная точка доставки. Без региона' | 'Обычный покупатель' | 'Организация' | 'Администратор' | 'Возврат товаров' |
	И я нажимаю кнопку очистить у поля "Ответственный"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И я нажимаю кнопку очистить у поля "Контрагент"
	И я нажимаю кнопку очистить у поля "Подразделение"
	И я нажимаю кнопку очистить у поля "Организация"
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И Я закрываю окно 'Возвраты товаров от клиентов'

Сценарий: 018.8. SalesOfProducts. Завершение

	И я закрываю сеанс TESTCLIENT